Name: gtypist
Version: 2.7
Release: alt1

Summary: GNU Typist is a universal typing tutor
Summary(ru_RU.KOI8-R):    
Group: Education
License: GPL
Url: http://www.gnu.org/software/%name
Source: ftp://ftp.gnu.org/gnu/%name/%name-%version.tar.bz2
%if 0
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
%endif

Requires(post): %install_info
Requires(preun): %uninstall_info

# Automatically added by buildreq on Tue Sep 30 2003
BuildRequires: XFree86-libs XFree86-locales emacs-common emacs-leim libXaw3d libjpeg libncurses-devel libtiff libtinfo-devel libungif xpm

%description
GNU Typist (or gtypist) is free software that assist you in learning
to type correctly. It is intended to be used  on a raw terminal without
graphics.

* It comes with several typing tutorials: in English for Qwerty and
Dvorak keyboards, Spanish for Spanish keyboards, as well as simpler
exercices in German, French and Norwegian.

* It interprets a simple and intuitive scripting language that describes
typing tutorials. You can easily modify existing tutorials or create new
ones according to your needs.

* It supports internationalization and already has an interface in
English, Finnish, French, German, Czech and Spanish.

It has been compiled and used in Unix (GNU/Linux, Aix,
Solaris, openBSD) and also in DOS/Windows (DOS 6.22, Windows 98).

%description -l ru_RU.KOI8-R
GNU Typist -    ,   
       
.

%package -n emacs-mode-%name
Summary: Major mode for editing %name script-files (*.typ)
Group: Editors
Requires: %name = %version-%release emacs

%description -n emacs-mode-%name
emacs-mode-%name provides syntax coloring and inserting tags for %name
script-files (*.typ)

All Emacs Lisp code is byte-copmpiled, install emacs-mode-%name-el for sources.

%package -n emacs-mode-%name-el
Summary: The Emacs Lisp sources for bytecode included in emacs-mode-%name
Group: Development/Other
Requires: %name = %version-%release

%description -n emacs-mode-%name-el
emacs-mode-%name-el contains the Emacs Lisp sources for the bytecode
included in the emacs-mode-%name package, that extends the Emacs editor.

You need to install emacs-mode-%name-el only if you intend to modify any of the
emacs-mode-%name code or see some Lisp examples.

%define _emacs_startscriptsdir %_sysconfdir/emacs/site-start.d

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

# Install menu and icons
%__cat <<__MENU__ >%name.menu
?package(%name): needs=X11 section="Amusement/Educational" title="GNU typist" \
longtitle="Typing tutor" command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%if 0
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm
%endif

# Create %name-init.el
%__mkdir_p %buildroot%_emacs_startscriptsdir
%__cat <<__INIT__ >%buildroot%_emacs_startscriptsdir/%name-init.el
;;; %name-init.el --- Startup code for gtypist mode
;;;
;;; Add this to your ~/.emacs or install this file into Emacs' site-start.d
(autoload 'gtypist-mode "gtypist-mode")
(setq auto-mode-alist       
    (cons '("\\\\.typ\\\\'" . gtypist-mode) auto-mode-alist))
__INIT__

%find_lang %name

%post
%install_info %name.info
%update_menus

%postun
%uninstall_info %name.info
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_infodir/%name.info.*
%_man1dir/*
#%_iconsdir/%name.xpm
#%_iconsdir/*/%name.xpm
%_menudir/*
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%files -n emacs-mode-%name
%_emacs_startscriptsdir/*
%_emacslispdir/%name-mode.elc

%files -n emacs-mode-%name-el
%_emacslispdir/%name-mode.el

%changelog
* Tue Sep 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.7-alt1
- 2.7
- emacs-mode* packages.

* Sat Sep 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.6-alt2
- Fixed menu script - now it launching gtypist in xterm window due
  to kde konsole bugs

* Tue Apr 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.6-alt1
- 2.6

* Mon Jan 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.5-alt1
- First build for Sisyphus.
